TAAS - Feature #238

Cost Centre Report
07/09/2023 03:59 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Athira KK % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Cost Centre Report

Description

Coding Cost Centre Report

History

#1 - 08/07/2023 03:27 PM - Junaid M

SELECT tr.pk_transaction_id,
doc.dat_document,
ac.vhr_account_code,
ac.vhr_account_name,
doc.vhr_main_document_no,

tr.dbl_ledg_cur_debit,

tr.dbl_ledg_cur_credit,

(tr.dbl_ledg_cur_debit - tr.dbl_ledg_cur_credit) AS tr.dbl_ledg_cur_balance ,
tr.txt_narration,

cc.vhr_cost_centre_code,

cc.vhr_cost_centre_name,

cc.vhr_cost_centre_group,

tr.fk_cost_centre_id

FROM transaction.tbl_transaction AS tr
LEFT JOIN document.tbl_documents AS doc

ON doc.pk_documents_id = tr.fk_documents_id
LEFT JOIN accounts.tbl_account AS ac

ON ac.pk_account_id = tr.fk_ledger_id
LEFT JOIN accounts.tbl_cost_centre AS cc

ON tr.fk_cost_centre_id = cc.pk_cost_centre_id
WHERE
—-DATE
doc.dat_document BETWEEN '?' AND '?'
tr.dat_transaction BETWEEN '?' AND '?'

——BRANCH

AND tr.fk_branch_id = ANY('{1,2,3}'::BIGINT[])

——DEPARTMENT

AND tr.fk_department_id = ANY('{1,2,3}"'::BIGINT[])

——COST CENTER

AND tr.fk_cost_centre_id = ANY('{1,2,3}"'::BIGINT[])

——ACCOUNT

AND tr.fk_ledger_id = ?

——MODULE

AND tr.vhr_sys_module_name = ANY ('{"RECEIPT", "PAYMENT"}'::VARCHAR[])

ORDER BY tr.fk_cost_centre_id, doc.dat_document

#2 - 08/11/2023 04:16 PM - Junaid M

- Assignee changed from travvise Admin to Baseem Shan

#3 - 08/19/2023 10:51 AM - Baseem Shan

- Status changed from New to Coding Done
- % Done changed from 0 to 60

#4 - 08/21/2023 02:22 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.ADD CURRENCY COLUMN IN GRID

2.CORRECT THE DATE FORMAT OF DD/MM/YEAR

3.ERASE FILTER NOT WORKING

4.REMOVE MODULES FROM FILTER THAT NOT RELATED TO COST CENTER
5.CORRECT THE SPELLING OF COST CENTRE IN GRID

#5 - 08/22/2023 12:24 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#6 - 09/04/2023 01:04 PM - unnikannan S
TESTING DONE

#7 - 01/13/2024 10:05 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.DONT SHOW DOCUMENTS THAT CHOOSEN BLANK OPTION IN COST CENTRE FIELD
FIXED - 2.SHOW THE DATAS ON LIST GROUPED BY DOC NO WISE

#8 - 01/15/2024 12:54 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 01/15/2024 12:55 PM - unnikannan S
TESTING DONE

#10 - 03/12/2024 10:20 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CLEAR ALL SELECTION

2.CORRECT THE MODULE NAME SHOWING IN TAB

3.SHOW PRINT BRANCH AS ALL IN PRINT SELECTING ALL ITEM FROM Ul

4 ERROR WHILE SEARCH WITH TRANSACTION DATE (42601: syntax error at or near "tr")

#11 - 03/12/2024 11:30 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#12 - 03/12/2024 02:50 PM - unnikannan S
TESTING DONE

#13 - 03/20/2024 10:54 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50
ISSUE FOUNDED

1.ARRANGE BALANCE AMOUNT SHOWING IN PRINT
2.ADJUST GAP BETWEEN FIELDS

#14 - 03/20/2024 12:22 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 09/30/2024 03:52 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1) Data showing only for document modules not for sub document modules.

#16 - 10/01/2024 02:57 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 01/20/2025 02:51 PM - Arathy PS

- Assignee changed from Baseem Shan to Athira KK

#18 - 01/20/2025 03:32 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Add redirection to document no:'s.

2. Reduce column length of debit and credit and increase account name and cost centre name.

#19 - 01/21/2025 03:39 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 02/13/2025 03:44 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Not showing all sale documents when only sale alone is checked.
2. Not showing documents from performa sale, against sale.

3. when so many documents are present it repeats itself on the second page.

#21 - 02/18/2025 03:33 PM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
